import { trigger, style, transition, animate } from '@angular/animations';

export const fade = trigger('fade', [
	transition(':enter', [
		style({ opacity: 0 }),
		animate(300, style({ opacity: 1 }))
	]),
	transition(':leave', [
		animate(300, style({ opacity: 0 }))
	])
]);
export const fadeNoOut = trigger('fadeNoOut', [
	transition(':enter', [
		style({ opacity: 0, 'pointer-events': 'none' }),
		animate(300, style({ opacity: 1, 'pointer-events': 'initial' }))
	])
]);

export const loadFade = trigger('loadFade', [
	transition(':enter', [
		style({ opacity: 0 }),
		animate(500, style({ opacity: 1 }))
	]),
	transition(':leave', [
		animate(500, style({ opacity: 0 }))
	])
])
